Table of Contents

## Name

im_subsample - subsample image by integer factor

## Synopsis

#include <vips/vips.h>

int im_subsample(in, out, xsub, ysub)
IMAGE *in, *out;
int xsub, ysub;

## Description

im_subsample() sub-samples image in by an x and y integer factor. It is much faster than im_shrink(), especially for large partial images.

It works for any image type.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_shrink(3) , im_similarity(3) , im_zoom(3)

## Copyright

1989-1996 The National Gallery and Birkbeck College

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright